Subject: Re: 23.0.95; defcustom docstring ':link' ':tag' NAME and/or LABEL?

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 12 Jul 2011 17:21:59 +0200

MON KEY <[email-masked]> writes:

> The docstring for defcustom's keyword `:link' states:
>
> "You can specify the text to use in the customization buffer by adding `:tag
>  NAME' after the first element of the LINK-DATA; for example, (info-link :tag
>  "foo" "(emacs)Top") makes a link to the Emacs manual which appears in the
>  buffer as `foo'."
>
> Shortly thereafter a description of defcustom's keyword `:tag' states:
>
> ":tag LABEL Use LABEL, a string, instead of the item's name, to label the item
>         in customization menus and buffers."
>
> If these two uses of 'tag' have identical context, then the `:tag NAME'
> descriptor of the `:link' section should clarify this and/or change 'NAME' ->
> 'LABEL'. 
>
> If the context of 'tag' is mutually exclusive then _that_ should
> be clarified. As presented, it is not clear if `:tag' has different meanings within defcustom forms according to where it occurs.

The first talks about using :tag inside `info-link'.  The second about
using :tag in the `defcustom' top-level.  It seems pretty clear to me,
and I know next to nothing about `defcustom', so I think this doesn't
need clarification.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/